MiddleIdData (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation
Class MiddleIdData

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.MiddleIdData

    public final class MiddleIdData

extends Object

A class holding information about ids, which form a virtual "relation" from a middle-table. Middle-tables are used when mapping collections.

Constructor Summary
`MiddleIdData(AuditEntitiesConfiguration verEntCfg, IdMappingData mappingData, String prefix, String entityName, boolean audited)`

Method Summary
`String` | `getAuditEntityName()`
`String` | `getEntityName()`
`IdMapper` | `getOriginalMapper()`
`IdMapper` | `getPrefixedMapper()`
`boolean` | `isAudited()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiddleIdData

    public MiddleIdData(AuditEntitiesConfiguration verEntCfg,
                        IdMappingData mappingData,
                        String prefix,
                        String entityName,
                        boolean audited)

Method Detail

### getOriginalMapper

    public IdMapper getOriginalMapper()

  Returns:
    Original id mapper of the related entity.

### getPrefixedMapper

    public IdMapper getPrefixedMapper()

  Returns:
    prefixed id mapper (with the names for the id fields that are used in the middle table) of the related entity.

### getEntityName

    public String getEntityName()

  Returns:
    Name of the related entity (regular, not audited).

### getAuditEntityName

    public String getAuditEntityName()

  Returns:
    Audit name of the related entity.

### isAudited

    public boolean isAudited()

  Returns:
    Is the entity, to which this middle id data correspond, audited.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.